# Interface methods for submodule: LabelImageToStatisticsLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: LabelImageToStatisticsLabelMapFilter
class LabelImageToStatisticsLabelMapFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetComputeFeretDiameter(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeFeretDiameter(self) -> bool:
		""""""
		...

	def ComputeFeretDiameterOn(self) -> None:
		""""""
		...

	def ComputeFeretDiameterOff(self) -> None:
		""""""
		...

	def SetComputePerimeter(self, _arg: bool) -> None:
		""""""
		...

	def GetComputePerimeter(self) -> bool:
		""""""
		...

	def ComputePerimeterOn(self) -> None:
		""""""
		...

	def ComputePerimeterOff(self) -> None:
		""""""
		...

	def SetFeatureImage(self, input) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def SetComputeHistogram(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeHistogram(self) -> bool:
		""""""
		...

	def ComputeHistogramOn(self) -> None:
		""""""
		...

	def ComputeHistogramOff(self) -> None:
		""""""
		...

	def SetNumberOfBins(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfBins(self) -> int:
		""""""
		...

